Skip to main content
POST
/
data-studio
/
data-source
/
2026-09-beta
Create
curl --request POST \
  --url https://api.hubapi.com/data-studio/data-source/2026-09-beta \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'bodyParts={
  "contentDisposition": {
    "creationDate": "2023-11-07T05:31:56Z",
    "fileName": "<string>",
    "modificationDate": "2023-11-07T05:31:56Z",
    "parameters": {},
    "readDate": "2023-11-07T05:31:56Z",
    "size": 123,
    "type": "<string>"
  },
  "entity": {},
  "headers": {},
  "mediaType": {
    "parameters": {},
    "subtype": "<string>",
    "type": "<string>",
    "wildcardSubtype": true,
    "wildcardType": true
  },
  "messageBodyWorkers": {},
  "parameterizedHeaders": {},
  "parent": {
    "bodyParts": "<array>",
    "contentDisposition": {
      "creationDate": "2023-11-07T05:31:56Z",
      "fileName": "<string>",
      "modificationDate": "2023-11-07T05:31:56Z",
      "parameters": {},
      "readDate": "2023-11-07T05:31:56Z",
      "size": 123,
      "type": "<string>"
    },
    "entity": {},
    "headers": {},
    "mediaType": {
      "parameters": {},
      "subtype": "<string>",
      "type": "<string>",
      "wildcardSubtype": true,
      "wildcardType": true
    },
    "messageBodyWorkers": {},
    "parameterizedHeaders": {},
    "parent": "<unknown>",
    "providers": {}
  },
  "providers": {}
}' \
  --form 'contentDisposition={
  "creationDate": "2023-11-07T05:31:56Z",
  "fileName": "<string>",
  "modificationDate": "2023-11-07T05:31:56Z",
  "parameters": {},
  "readDate": "2023-11-07T05:31:56Z",
  "size": 123,
  "type": "<string>"
}' \
  --form 'entity={}' \
  --form 'fields={}' \
  --form 'headers={}' \
  --form 'mediaType={
  "parameters": {},
  "subtype": "<string>",
  "type": "<string>",
  "wildcardSubtype": true,
  "wildcardType": true
}' \
  --form 'messageBodyWorkers={}' \
  --form 'parameterizedHeaders={}' \
  --form 'parent={
  "bodyParts": "<array>",
  "contentDisposition": {
    "creationDate": "2023-11-07T05:31:56Z",
    "fileName": "<string>",
    "modificationDate": "2023-11-07T05:31:56Z",
    "parameters": {},
    "readDate": "2023-11-07T05:31:56Z",
    "size": 123,
    "type": "<string>"
  },
  "entity": {},
  "headers": {},
  "mediaType": {
    "parameters": {},
    "subtype": "<string>",
    "type": "<string>",
    "wildcardSubtype": true,
    "wildcardType": true
  },
  "messageBodyWorkers": {},
  "parameterizedHeaders": {},
  "parent": "<unknown>",
  "providers": {}
}' \
  --form 'providers={}'
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

multipart/form-data
bodyParts
object[]
required

An array of BodyPart objects, each representing a part of the multipart form data.

contentDisposition
object
required
entity
object
required

An object representing the entity of the multipart form data, containing the actual data to be processed.

fields
object
required

An object containing fields of the multipart form data, where each field can have multiple FormDataBodyPart items.

headers
object
required

An object containing headers associated with the multipart form data, where each header can have multiple string values.

mediaType
object
required
messageBodyWorkers
object
required

An object representing workers that process the message body of the multipart form data.

parameterizedHeaders
object
required

An object containing parameterized headers, where each header can have multiple ParameterizedHeader items.

parent
object
required
providers
object
required

An object representing providers associated with the multipart form data.

Response

default - */*
category
string
required

The error category

correlationId
string<uuid>
required

A unique identifier for the request. Include this value with any error reports or support tickets

Example:

"aeb5f871-7f07-4993-9211-075dc63e7cbf"

message
string
required

A human readable message describing the error along with remediation steps where appropriate

Example:

"An error occurred"

context
object

Context about the error condition

Example:

"{invalidPropertyName=[propertyValue], missingScopes=[scope1, scope2]}"

errors
object[]

further information about the error

A map of link names to associated URIs containing documentation about the error or recommended remediation steps

subCategory
string

A specific category that contains more specific detail about the error

Last modified on March 20, 2026